BTCHECK(1)

NAME
btcheck - Bittorrent downloaded data checker

SYNOPSIS

btcheck [ -h ] [ -V ] [ -v ] [ -q ] [ -n ] [ -z ] [ -i ] [ -l ] file.torrent

DESCRIPTION

btcheck(1) is a tool to list torrent file content (torrent hash value, tracker announce, comments, files list with sizes) and to check hashes of downloaded data associated with this torrent file.

OPTIONS

-h  Show summary of options and exit.

-V  Show the current version number and exit.

-v  Verbose output (can be used many times to increase verbosity level).

-q  Quiet output, check success or failure is set in return code.

-n  Do not check data (useful with -i option and default with -l).

-z  Fill missing data with zeros when checking (this forces hash computation).

-i  Show the content of the given torrent file. This includes the files list with their size, the tracker announce, the torrent hash value.

-l  List filenames with size of the given torrent file and don't check data.

file.torrent
    The torrent file to use.

EXAMPLES

Here is some examples.

  DEFAULT USAGE (CHECKING MODE)

    btcheck foo.torrent

  LIST FILES DECLARED

    btcheck -l bar.torrent

NOTE

This program tries to check data in the directory declared in torrent file. If this directory doesn't exist, check is done in the current directory.

BUGS

None as far as I know.

AUTHOR

Jean Diraison <jean.diraison@ac-rennes.fr>

AVAILABILITY

This tool can be download at http://btcheck.sourceforge.net/ <URL:http://btcheck.sourceforge.net/>. It is distributed under the terms of the GPLv3 License (http://www.gnu.org/licenses/gpl-3.0.txt).

SEE ALSO

btshowmetainfo(1)